function[Ax_hor,Ay_ver,vzdalenostEOG,TA,stredni_polomer,RMS]=vypocet(YI,YII)
%% výpočty


 l=[];
 TA=[];
 r=[];
 s=[];
 odmocninaTA=[];
%% výpočet amplitud
for i=1:length(YI)
   SDx_pom(i)=(YI(i)-mean(YI)).^2;
   SDy_pom(i)=(YII(i)-mean(YII)).^2;
end
SDx=sqrt((1/length(YI))*sum(SDx_pom));
Ax_hor=4*SDx; %amplituda horizontálního signálu
SDy=sqrt((1/length(YII))*sum(SDy_pom));
Ay_ver=4*SDy; %amplituda vertikálního signálu
%% délka křivky EOG
for i= 1:(length(YI)-1)
    l(i)=sqrt(((YII(i)- YII(i+1)).^2)+((YI(i)- YI(i+1)).^2)); %vzdálenost CoP u interpolovaných dat   
end
vzdalenostEOG=sum(l);
for i=1:length(YI)
    r(i)=sqrt((YII(i)).^2+(YI(i)).^2);
end
%plocha TA
for i= 1:(length(YI)-1);
    s(i)=0.5*(r(i)+r(i+1)+l(i));
    TA_pom(i)=s(i)*(s(i)-r(i))*(s(i)-r(i+1))*(s(i)-l(i));
odmocninaTA(i)=sqrt(TA_pom(i));
end
TA=sum(odmocninaTA);
str_polomer=[];
for i= 1:(length(YI))
    str_polomer(i)=(YII(i)-0).^2+(YI(i)-0).^2; %vzdálenost CoP u interpolovaných dat
%-0 protože střed jsme dali do [0,0]
end

stredni_polomer=(1/length(YI))*sum(sqrt(str_polomer));
RMS=sqrt((1/length(YI))*sum(str_polomer));


end
